---
title: Date.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/Date/toString
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>toString()</code></strong> method returns a string representing the specified {{jsxref("Date")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/date-tostring.html","shorter")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.toString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the given date.</p>

<h2 id="Description">Description</h2>

<p>{{jsxref("Date")}} instances inherit their <code>toString()</code> method from {{jsxref("Date.prototype")}}, not {{jsxref("Object.prototype")}}. <code>Date.prototype.toString()</code> returns a string representation of the Date in the format specified in ECMA-262 which can be summarised as:</p>

<ul>
 <li>Week day: 3 letter English week day name, e.g. "Sat"</li>
 <li>space</li>
 <li>Month name: 3 letter English month name, e.g. "Sep"</li>
 <li>space</li>
 <li>Date: 2 digit day in month, e.g. "01"</li>
 <li>space</li>
 <li>Year: 4 digit year, e.g. "2018"</li>
 <li>space</li>
 <li>Hour: 2 digit hour of day, e.g. "14"</li>
 <li>colon</li>
 <li>Minute: 2 digit minute of hour, e.g. "53"</li>
 <li>colon</li>
 <li>Second: 2 digit second of minute, e.g. "26"</li>
 <li>space</li>
 <li>The string "GMT"</li>
 <li>Timezone offset sign, either:
  <ul>
   <li>"+" for positive offsets (0 or greater)</li>
   <li>"-" for negative offsets (less than zero)</li>
  </ul>
 </li>
 <li>Two digit hour offset, e.g. "14"</li>
 <li>Two digit minute offset, e.g. "00"</li>
 <li>Optionally, a timezone name consisting of:
  <ul>
   <li>space</li>
   <li>Left bracket, i.e. "("</li>
   <li>An implementation dependent string representation of the timezone, which might be an abbreviation or full name (there is no standard for names or abbreviations of timezones), e.g. "Line Islands Time" or "LINT"</li>
   <li>Right bracket, i.e. ")"</li>
  </ul>
 </li>
</ul>

<p>E.g. "Sat Sep 01 2018 14:53:26 GMT+1400 (LINT)"</p>

<p>Until ECMAScript 2018 (edition 9), the format of the string returned by <code>Date.prototype.toString</code> was implementation dependent. Therefore it should not be relied upon to be in the specified format.</p>

<p>The <code>toString()</code> method is automatically called when a date is to be represented as a text value, e.g. <code>console.log(new Date())</code>, or when a date is used in a string concatenation, such as <code>var today = 'Today is ' + new Date()</code>.</p>

<p><code>toString()</code> is a generic method, it does not require that its <code>this</code> is a {{jsxref("Date")}} instance. However, it must have an internal <code>[[TimeValue]]</code> property that can't be constructed using native javascript, so it's effectively limited to use with {{jsxref("Date")}} instances. If called on a non–Date instance, a {{jsxref("TypeError")}} is thrown.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toString">Using toString()</h3>

<p>The following assigns the <code>toString()</code> value of a {{jsxref("Date")}} object to <code>myVar</code>:</p>

<pre class="brush: js notranslate">var x = new Date();
var myVar = x.toString(); // assigns a string value to myVar in the same format as:
                          // Mon Sep 08 1998 14:36:22 GMT-0700 (PDT)
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.tostring', 'Date.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.toString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toString()")}}</li>
 <li>{{jsxref("Date.prototype.toDateString()")}}</li>
 <li>{{jsxref("Date.prototype.toLocaleString()")}}</li>
 <li>{{jsxref("Date.prototype.toTimeString()")}}</li>
</ul>
